IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/8
Addresses2^120
/64 networks2^56
- Network
ff00::/8- First address
ff00::- Last address
ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,329,227,995,784,915,872,903,807,060,280,344,576 (2^120)
- /64 networks (LANs)
- 72,057,594,037,927,936 (2^56)
- Full form
ff00:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
f.f.ip6.arpa
Split into smaller subnets
ff00::/8 makes 256 subnets of /16.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00::/16 | ff00:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff01::/16 | ff01:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff02::/16 | ff02:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff03::/16 | ff03:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff04::/16 | ff04:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff05::/16 | ff05:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff06::/16 | ff06:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff07::/16 | ff07:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff08::/16 | ff08:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff09::/16 | ff09:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff0a::/16 | ff0a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff0b::/16 | ff0b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff0c::/16 | ff0c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff0d::/16 | ff0d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff0e::/16 | ff0e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff0f::/16 | ff0f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff10::/16 | ff10:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff11::/16 | ff11:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff12::/16 | ff12:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff13::/16 | ff13:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff14::/16 | ff14:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff15::/16 | ff15:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff16::/16 | ff16:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff17::/16 | ff17:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff18::/16 | ff18:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff19::/16 | ff19:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff1a::/16 | ff1a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff1b::/16 | ff1b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff1c::/16 | ff1c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff1d::/16 | ff1d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff1e::/16 | ff1e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff1f::/16 | ff1f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff20::/16 | ff20:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff21::/16 | ff21:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff22::/16 | ff22:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff23::/16 | ff23:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff24::/16 | ff24:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff25::/16 | ff25:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff26::/16 | ff26:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff27::/16 | ff27:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff28::/16 | ff28:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff29::/16 | ff29:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff2a::/16 | ff2a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff2b::/16 | ff2b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff2c::/16 | ff2c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff2d::/16 | ff2d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff2e::/16 | ff2e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff2f::/16 | ff2f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff30::/16 | ff30:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff31::/16 | ff31:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff32::/16 | ff32:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff33::/16 | ff33:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff34::/16 | ff34:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff35::/16 | ff35:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff36::/16 | ff36:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff37::/16 | ff37:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff38::/16 | ff38:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff39::/16 | ff39:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff3a::/16 | ff3a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff3b::/16 | ff3b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff3c::/16 | ff3c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff3d::/16 | ff3d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff3e::/16 | ff3e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff3f::/16 | ff3f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff40::/16 | ff40:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff41::/16 | ff41:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff42::/16 | ff42:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff43::/16 | ff43:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff44::/16 | ff44:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff45::/16 | ff45:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff46::/16 | ff46:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff47::/16 | ff47:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff48::/16 | ff48:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff49::/16 | ff49:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff4a::/16 | ff4a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff4b::/16 | ff4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff4c::/16 | ff4c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff4d::/16 | ff4d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff4e::/16 | ff4e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff4f::/16 | ff4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff50::/16 | ff50:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff51::/16 | ff51:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff52::/16 | ff52:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff53::/16 | ff53:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff54::/16 | ff54:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff55::/16 | ff55:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff56::/16 | ff56:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff57::/16 | ff57:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff58::/16 | ff58:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff59::/16 | ff59:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff5a::/16 | ff5a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff5b::/16 | ff5b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff5c::/16 | ff5c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff5d::/16 | ff5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff5e::/16 | ff5e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff5f::/16 | ff5f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff60::/16 | ff60:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff61::/16 | ff61:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff62::/16 | ff62:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff63::/16 | ff63:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff64::/16 | ff64:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff65::/16 | ff65:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff66::/16 | ff66:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff67::/16 | ff67:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff68::/16 | ff68:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff69::/16 | ff69:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff6a::/16 | ff6a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff6b::/16 | ff6b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff6c::/16 | ff6c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff6d::/16 | ff6d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff6e::/16 | ff6e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff6f::/16 | ff6f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff70::/16 | ff70:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff71::/16 | ff71:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff72::/16 | ff72:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff73::/16 | ff73:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff74::/16 | ff74:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff75::/16 | ff75:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff76::/16 | ff76:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff77::/16 | ff77:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff78::/16 | ff78:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff79::/16 | ff79:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff7a::/16 | ff7a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff7b::/16 | ff7b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff7c::/16 | ff7c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff7d::/16 | ff7d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff7e::/16 | ff7e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff7f::/16 | ff7f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff80::/16 | ff80:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff81::/16 | ff81:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff82::/16 | ff82:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff83::/16 | ff83:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff84::/16 | ff84:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff85::/16 | ff85:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff86::/16 | ff86:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff87::/16 | ff87:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff88::/16 | ff88:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff89::/16 | ff89:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff8a::/16 | ff8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff8b::/16 | ff8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff8c::/16 | ff8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff8d::/16 | ff8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff8e::/16 | ff8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff8f::/16 | ff8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff90::/16 | ff90:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff91::/16 | ff91:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff92::/16 | ff92:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff93::/16 | ff93:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff94::/16 | ff94:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff95::/16 | ff95:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff96::/16 | ff96:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff97::/16 | ff97:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff98::/16 | ff98:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff99::/16 | ff99:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff9a::/16 | ff9a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff9b::/16 | ff9b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff9c::/16 | ff9c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff9d::/16 | ff9d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff9e::/16 | ff9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff9f::/16 | ff9f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffa0::/16 | ffa0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffa1::/16 | ffa1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffa2::/16 | ffa2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffa3::/16 | ffa3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffa4::/16 | ffa4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffa5::/16 | ffa5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffa6::/16 | ffa6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffa7::/16 | ffa7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffa8::/16 | ffa8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffa9::/16 | ffa9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffaa::/16 | ffaa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffab::/16 | ffab:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffac::/16 | ffac:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffad::/16 | ffad:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffae::/16 | ffae:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffaf::/16 | ffaf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffb0::/16 | ffb0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffb1::/16 | ffb1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffb2::/16 | ffb2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffb3::/16 | ffb3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffb4::/16 | ffb4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffb5::/16 | ffb5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffb6::/16 | ffb6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffb7::/16 | ffb7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffb8::/16 | ffb8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffb9::/16 | ffb9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffba::/16 | ffba:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffbb::/16 | ffbb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffbc::/16 | ffbc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffbd::/16 | ffbd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffbe::/16 | ffbe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffbf::/16 | ffbf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffc0::/16 | ffc0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffc1::/16 | ffc1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffc2::/16 | ffc2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffc3::/16 | ffc3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffc4::/16 | ffc4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffc5::/16 | ffc5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffc6::/16 | ffc6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffc7::/16 | ffc7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffc8::/16 | ffc8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffc9::/16 | ffc9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffca::/16 | ffca:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffcb::/16 | ffcb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffcc::/16 | ffcc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffcd::/16 | ffcd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffce::/16 | ffce:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffcf::/16 | ffcf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffd0::/16 | ffd0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffd1::/16 | ffd1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffd2::/16 | ffd2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffd3::/16 | ffd3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffd4::/16 | ffd4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffd5::/16 | ffd5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffd6::/16 | ffd6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffd7::/16 | ffd7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffd8::/16 | ffd8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffd9::/16 | ffd9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffda::/16 | ffda:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffdb::/16 | ffdb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffdc::/16 | ffdc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffdd::/16 | ffdd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffde::/16 | ffde:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffdf::/16 | ffdf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffe0::/16 | ffe0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffe1::/16 | ffe1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffe2::/16 | ffe2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffe3::/16 | ffe3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffe4::/16 | ffe4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffe5::/16 | ffe5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffe6::/16 | ffe6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffe7::/16 | ffe7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffe8::/16 | ffe8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffe9::/16 | ffe9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffea::/16 | ffea:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffeb::/16 | ffeb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffec::/16 | ffec:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffed::/16 | ffed:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffee::/16 | ffee:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffef::/16 | ffef:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fff0::/16 | fff0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fff1::/16 | fff1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fff2::/16 | fff2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fff3::/16 | fff3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fff4::/16 | fff4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fff5::/16 | fff5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fff6::/16 | fff6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fff7::/16 | fff7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fff8::/16 | fff8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fff9::/16 | fff9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fffa::/16 | fffa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fffb::/16 | fffb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fffc::/16 | fffc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fffd::/16 | fffd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fffe::/16 | fffe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffff::/16 | ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |